Bug 43255 - anonymous cookie not cleared on browser close
anonymous cookie not cleared on browser close
Status: CLOSED NOTABUG
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-02 01:17 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-02 14:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-06-02 01:17:21 EDT
Description of Problem:
The cookie for the anonymous user persists through browser restarts

How Reproducible:
Always

Steps to Reproduce:
1. Pull up http://www.webqa.redhat.com/cgi-bin/store
2. Verify that not logged into site
3. Place something in the cart
4. Return to the store front
5. Kill the browser off
6. Open the browser again and pull up
   http://www.webqa.redhat.com/cgi-bin/store

Actual Results:
Cart icon still appears and can get to the contents of the cart from the
previous anonymous user.

Expected Results:
Should clear the anonymous cookie so that the next person to walk up to the
computer knows nothing about the previous user.

Additional Information:
Comment 1 Jay Turner 2001-06-02 14:43:55 EDT
After poking at some other stores on the web, this might not be as much of an
issue as I thought at first.  If this is something that someone feels should be
corrected, then let's attack it.  Otherwise let me know and I'll close it out.
Comment 2 Cameron Prince 2001-06-04 13:05:08 EDT
All instances of the browser must be closed to clear non-persistant cookies.

Note You need to log in before you can comment on or make changes to this bug.